/*
 * ===========================================================================
 * IBA CZ Confidential
 * 
 * © Copyright IBA CZ 2011 ALL RIGHTS RESERVED
 * The source code for this program is not published or otherwise
 * divested of its trade secrets.
 * 
 * ===========================================================================
 */
package eu.ibacz.pv230.simpleshop.portlet.detail;

import eu.ibacz.pv230.simpleshop.backend.dto.ProductDTO;
import javax.portlet.ActionResponse;
import javax.portlet.ActionRequest;
import eu.ibacz.pv230.simpleshop.backend.ServiceProvider;
import java.io.IOException;
import javax.portlet.GenericPortlet;
import javax.portlet.PortletException;
import javax.portlet.PortletRequestDispatcher;
import javax.portlet.ProcessAction;
import javax.portlet.RenderRequest;
import javax.portlet.RenderResponse;

import static eu.ibacz.pv230.simpleshop.portlet.detail.DetailConstants.*;
/**
 *
 * @author František Hartman <frantisek.hartman@ibacz.eu>
 */
public class DetailPortlet extends GenericPortlet {

    @Override
    protected void doView(RenderRequest request, RenderResponse response) throws PortletException,
            IOException {
        String productId = request.getParameter(PARAM_PRODUCT_ID);
        if (productId != null) {
            long id = Long.parseLong(productId);
            request.setAttribute(ATTRIBUTE_PRODUCT,
                    ServiceProvider.getCatalogService().getProductById(id));
        }
        PortletRequestDispatcher dispatcher =
                getPortletContext().getRequestDispatcher(JSP_VIEW);
        dispatcher.include(request, response);
    }

// <editor-fold defaultstate="collapsed" desc="pridanie eventu">
    
//    @ProcessAction(name=ACTION_ADD_TO_BASKET)
//    public void actionBuy(ActionRequest request, ActionResponse response) throws PortletException, IOException {
//        String productId = request.getParameter(PARAM_PRODUCT_ID);
//        long id = Long.parseLong(productId);
//        ProductDTO product = ServiceProvider.getCatalogService().getProductById(id);
//        response.setEvent(EVENT_BUY_PRODUCT, product);
//        response.setRenderParameter(PARAM_PRODUCT_ID, productId);
//    }
    
// </editor-fold>
    
}
